## ros-rolling-launch-testing-ament-cmake 0.21.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(launch_testing_ament_cmake)

find_package(ament_cmake REQUIRED)

ament_package(
  CONFIG_EXTRAS "${PROJECT_NAME}-extras.cmake"
)

install(
  DIRECTORY cmake
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
  find_package(ament_cmake_copyright REQUIRED)
  ament_copyright()

  include(cmake/add_launch_test.cmake)

  ament_index_has_resource(LAUNCH_TESTING_INSTALL_PREFIX packages launch_testing)
  if(NOT LAUNCH_TESTING_INSTALL_PREFIX)
      message(FATAL_ERROR "launch_testing package not found")
  endif()

  # Provides PYTHON_EXECUTABLE_DEBUG
  find_package(python_cmake_module REQUIRED)
  find_package(PythonExtra REQUIRED)

  # Test argument passing.  This test won't pass unless you give it an argument
  add_launch_test(
    "${LAUNCH_TESTING_INSTALL_PREFIX}/share/launch_testing/examples/args_launch_test.py"
    ARGS "dut_arg:=--anything"
  )
endif()

=== debian/changelog ===
ros-rolling-launch-testing-ament-cmake (0.21.0-1focal) focal; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.20.0-1focal) focal; urgency=high

  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * Contributors: Aditya Pande, Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 08:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.19.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 15 Jul 2021 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.18.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 18 Jun 2021 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.17.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.16.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 19 Mar 2021 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.15.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.14.0-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.13.0-1focal) focal; urgency=high

  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Add bsd license to launch due to files from roslaunch (#456 <https://github.com/ros2/launch/issues/456>)
  * Contributors: Michel Hidalgo, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 04 Nov 2020 08:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.12.0-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 18 Aug 2020 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.11.1-1focal) focal; urgency=high

  * Use launch_test CMake target as output file basename (#448 <https://github.com/ros2/launch/issues/448>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 14 Aug 2020 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.11.0-1focal) focal; urgency=high

  * Find Python debug interpreter on Windows (#437 <https://github.com/ros2/launch/issues/437>)
  * Contributors: Dirk Thomas

 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 04 Aug 2020 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.10.2-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.10.1-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 May 2020 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.10.0-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 24 Apr 2020 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.9.5-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 13 Nov 2019 08:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.9.4-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Fri, 08 Nov 2019 08:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.9.3-1focal) focal; urgency=high

  * add missing test dependency (#350 <https://github.com/ros2/launch/issues/350>)
    Signed-off-by: Dirk Thomas <mailto:dirk-thomas@users.noreply.github.com>
  * Contributors: Dirk Thomas

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.9.2-1focal) focal; urgency=high

  * Use ament_cmake_copyright (#349 <https://github.com/ros2/launch/issues/349>)
  * Contributors: Dan Rose

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.9.1-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 25 Sep 2019 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.9.0-1focal) focal; urgency=high

  * Update launch_testing example name in launch_testing_ament_cmake (#320 <https://github.com/ros2/launch/issues/320>)
  * Contributors: Michel Hidalgo

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 18 Sep 2019 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.8.3-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 29 May 2019 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.8.2-1focal) focal; urgency=high

  * Revert "Include cmake extras for testing (#245 <https://github.com/ros2/launch/issues/245>)"
  * Include cmake extras for testing (#245 <https://github.com/ros2/launch/issues/245>)
  * [add_launch_test] Correct default python executable for windows debug (#239 <https://github.com/ros2/launch/issues/239>)
  * Convert retreived path to CMake path for use. (#244 <https://github.com/ros2/launch/issues/244>)
  * Move CMake path conversion to add_launch_test function.
  * Enable reuse of launch testing functionality (#236 <https://github.com/ros2/launch/issues/236>)
  * Contributors: Jacob Perron, Michel Hidalgo, Steven! Ragnarök, ivanpauno

 -- Pete Baughman <pete.baughman@apex.ai>  Mon, 20 May 2019 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.8.1-1focal) focal; urgency=high

  * Make launchtest junit XML match pytest XML more closely (#228 <https://github.com/ros2/launch/issues/228>)
  * Merge apex_launchtest functionality into launch_testing (#215 <https://github.com/ros2/launch/issues/215>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Pete Baughman <pete.baughman@apex.ai>  Wed, 08 May 2019 07:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.8.0-1focal) focal; urgency=high



 -- Pete Baughman <pete.baughman@apex.ai>  Sat, 13 Apr 2019 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-launch-testing-ament-cmake
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-copyright, ros-rolling-launch-testing, ros-rolling-python-cmake-module, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-launch-testing-ament-cmake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-cmake-test, ros-rolling-launch-testing, ros-rolling-python-cmake-module, ros-rolling-ros-workspace
Description: A package providing cmake functions for running launch tests from the build.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-launch-testing-ament-cmake//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-launch-testing-ament-cmake 3.1.0

=== debian/changelog ===
ros-rolling-launch-testing-ament-cmake (3.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (3.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (3.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (2.2.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (2.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (2.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (2.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (2.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (1.4.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (1.4.0-1jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#671 <https://github.com/ros2/launch/issues/671>)
  * Contributors: Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (1.3.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (1.2.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (1.1.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (1.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (1.0.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.23.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.21.1-1jammy) jammy; urgency=high

  * [launch_testing_ament_cmake] Add test label (#584 <https://github.com/ros2/launch/issues/584>)
  * Contributors: Keisuke Shima

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.21.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.20.0-1jammy) jammy; urgency=high

  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * Contributors: Aditya Pande, Audrow Nash

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Jul 2021 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.16.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.13.0-1jammy) jammy; urgency=high

  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Add bsd license to launch due to files from roslaunch (#456 <https://github.com/ros2/launch/issues/456>)
  * Contributors: Michel Hidalgo, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Nov 2020 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.12.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Aug 2020 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.11.1-1jammy) jammy; urgency=high

  * Use launch_test CMake target as output file basename (#448 <https://github.com/ros2/launch/issues/448>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-rolling-launch-testing-ament-cmake (0.11.0-1jammy) jammy; urgency=high

  * Find Python debug interpreter on Windows (#437 <https://github.com/ros2/launch/issues/437>)
  * Contributors: Dirk Thomas

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 04 Aug 2020 00:00:00 -0000



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
-Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-copyright, ros-rolling-launch-testing, ros-rolling-python-cmake-module, ros-rolling-ros-workspace
+Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-copyright <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-python-cmake-module <!nocheck>, ros-rolling-ros-workspace
 Homepage: 
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
